#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0x77ecbd09, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xdc6a9241, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x19b28aa8, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x88c1dff0, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0x5c602873, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1574a600, "nvdimm_region_notify" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd908d220, "nd_region_provider_data" },
	{ 0x3be09972, "nvdimm_bus_add_badrange" },
	{ 0xb0a5b9fd, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xf2acb647, "devm_kmalloc" },
	{ 0x2eb4103, "to_nvdimm" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7adadfa8, "__nvdimm_create" },
	{ 0x1d3af0ad, "to_nd_region" },
	{ 0x1ab4504d, "nvdimm_bus_check_dimm_count" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x10bc8377, "acpi_dev_remove_notify_handler" },
	{ 0xc08ce24b, "__dynamic_dev_dbg" },
	{ 0xe11803bc, "kernfs_notify" },
	{ 0x9678f21a, "to_nvdimm_bus" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x4e4185, "dev_driver_string" },
	{ 0x92997ed8, "_printk" },
	{ 0x569f71c0, "acpi_find_child_device" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xba4b603b, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x9653f1e1, "acpi_dev_install_notify_handler" },
	{ 0x72ad0569, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xba3d49c4, "devm_kfree" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0x43647e05, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0xefdb6673, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x32539782, "kernfs_find_and_get_ns" },
	{ 0xcaa7c719, "nvdimm_name" },
	{ 0x550c39fe, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x304609a, "nvdimm_volatile_region_create" },
	{ 0xaa3a6312, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x118b98cd, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2455a19f, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbdc27aa1, "nvdimm_to_bus" },
	{ 0x956ac4b3, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xac221068, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x5b734d10, "nd_cmd_in_size" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0xea396752, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xaa03d845, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x159fe1d9, "nvdimm_pmem_region_create" },
	{ 0x3256f6d4, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x7ac26bf4, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x819aef1, "nvdimm_cmd_mask" },
	{ 0xb3678439, "acpi_bus_register_driver" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "6BABBD018E15E39AAA53C3B");
MODULE_INFO(rhelversion, "9.5");
