#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xd88131d0, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x07ccbaac, "_gpl");
SYMBOL_CRC(stm_data_write, 0xfb0e48b9, "_gpl");
SYMBOL_CRC(stm_register_device, 0x59c1101a, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xe9634b12, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x459e659d, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x1b411fc3, "_gpl");
SYMBOL_CRC(stm_source_write, 0xc606f790, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xa3539f61, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19ef4897, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf2d7e7bf, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x18b89939, "device_unregister" },
	{ 0xa8545a8a, "pm_runtime_set_autosuspend_delay" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x42c63868, "vm_iomap_memory" },
	{ 0xe2ac85e3, "config_item_get" },
	{ 0x887c3451, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1063366, "synchronize_srcu" },
	{ 0xc08ce24b, "__dynamic_dev_dbg" },
	{ 0x29b12c5b, "configfs_unregister_subsystem" },
	{ 0xaa2cde5e, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd5456ae5, "put_device" },
	{ 0xc4862b8f, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xdea367fa, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x16df9ea1, "init_srcu_struct" },
	{ 0x368524c5, "configfs_register_subsystem" },
	{ 0x36951a49, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0xb4f59590, "__srcu_read_lock" },
	{ 0xc6a1b2, "config_group_init_type_name" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0xc60785c, "class_unregister" },
	{ 0x9a3a0635, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcb764ad, "memset" },
	{ 0x22bb44c5, "__get_task_comm" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x741860f1, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x12cc364f, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9d9cf28, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9d190105, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xc319c9f4, "config_item_put" },
	{ 0xe970658f, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x59d557a8, "kobject_set_name" },
	{ 0xd29b2b, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7860c959, "__srcu_read_unlock" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x20b6f889, "__pm_runtime_suspend" },
	{ 0x4ac5db72, "__pm_runtime_use_autosuspend" },
	{ 0x3b386d94, "__pm_runtime_disable" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xbe572f67, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x2d2a9401, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.5");
