#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xb34dffe3, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x5b5b9f7c, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x79aa94d9, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xff5ac63c, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x6fd573e8, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x7b1581df, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xc805ae20, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x3b2c7259, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x5052fc27, "_gpl");
SYMBOL_CRC(can_bus_off, 0x6eff980c, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x67a1d59a, "_gpl");
SYMBOL_CRC(free_candev, 0x48a95e33, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x3dcaae05, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x946adb2b, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xcdd2a85a, "");
SYMBOL_CRC(open_candev, 0x696144b6, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x3a6839b1, "_gpl");
SYMBOL_CRC(close_candev, 0x506e1f80, "_gpl");
SYMBOL_CRC(register_candev, 0x91617526, "_gpl");
SYMBOL_CRC(unregister_candev, 0x6b7ed729, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x89482752, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x0f3fd420, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b6a5b6d, "skb_put" },
	{ 0x8b4fe8af, "gpiod_set_value" },
	{ 0x26700e07, "skb_tstamp_tx" },
	{ 0xb55876b7, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x23d13d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x48927f69, "unregister_netdev" },
	{ 0xf5b044ee, "rtnl_link_register" },
	{ 0x4ec2a0b5, "netdev_warn" },
	{ 0xc36b237d, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x95712a17, "netdev_err" },
	{ 0xc510f713, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9b161073, "device_property_read_u32_array" },
	{ 0xa44dda59, "of_get_child_by_name" },
	{ 0xf2aaeeb9, "rtnl_link_unregister" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x6df3c10f, "register_netdev" },
	{ 0xee6d0b43, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0x68861e42, "sock_efree" },
	{ 0x73c9c70c, "netif_rx" },
	{ 0x1a917bb3, "__netdev_alloc_skb" },
	{ 0xcbccd0f, "skb_trim" },
	{ 0x99a46c2c, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0435408, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6abad6ac, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5f439fc, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d7c9a5d, "dev_err_probe" },
	{ 0xf6715d7e, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xa091ebc8, "skb_clone_tx_timestamp" },
	{ 0x7e0b6d2f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CED7D9B41A22F946AE5397");
MODULE_INFO(rhelversion, "9.5");
