#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x87f4d182, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x58a3bcef, "_gpl");
SYMBOL_CRC(sas_free_task, 0xbe449827, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xf4b9066c, "");
SYMBOL_CRC(sas_resume_ha, 0x31182fc4, "");
SYMBOL_CRC(sas_suspend_ha, 0x0b4b43f0, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x5a1ec560, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x19215986, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x98a52d86, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x29e7aae8, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xf748bccd, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x23333eea, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xf9ffc984, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xa77bcf12, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xc147f230, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xcb5bf2a7, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x195f4c3d, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xeeb0894e, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x4e3dd1e5, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xd2ba5ea3, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xdc43b171, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xad2fcb9f, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x28284711, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xd6f205d6, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x40004f45, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x5b91e291, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x4dfedfec, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x57454f3c, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xf1914967, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x0e715bb8, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcd43f81, "ata_qc_complete" },
	{ 0x23826100, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x840d0c4d, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x797c7ec0, "ata_sas_port_destroy" },
	{ 0xebf5e018, "bsg_job_done" },
	{ 0x5815ed9c, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe65b57d9, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8382d74f, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0xe246ec1d, "scsi_schedule_eh" },
	{ 0xd4dfd67b, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc83bf795, "ata_host_init" },
	{ 0x70f89af2, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x472c7de6, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc6aaac78, "sas_port_get_phy" },
	{ 0x3b0d81c6, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xa31f88d2, "kmem_cache_create" },
	{ 0x38be48b4, "get_device" },
	{ 0xb407ef80, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd5b7b636, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd5456ae5, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x51ca1b21, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xa90e1ccc, "kmem_cache_alloc" },
	{ 0xba4b603b, "_dev_info" },
	{ 0xae468557, "sas_phy_free" },
	{ 0xa61d5c10, "scsi_eh_finish_cmd" },
	{ 0xb1bf409a, "ata_noop_qc_prep" },
	{ 0x4f6112e7, "ata_sas_port_alloc" },
	{ 0xe35b586d, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xe9f2ca00, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0xf90f10e9, "sas_port_mark_backlink" },
	{ 0x3da282cd, "kmem_cache_free" },
	{ 0xcd8eb35c, "ata_std_qc_defer" },
	{ 0xe92ddc77, "ata_sas_port_start" },
	{ 0xe0c41e40, "ata_scsi_port_error_handler" },
	{ 0x407c9a05, "ata_change_queue_depth" },
	{ 0x5f517b82, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x22bbacc1, "sas_end_device_alloc" },
	{ 0xd791d63c, "mutex_lock_interruptible" },
	{ 0xce3cee72, "sas_read_port_mode_page" },
	{ 0x8cf2f9a2, "sas_expander_alloc" },
	{ 0xb649c1c6, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x118b98cd, "_dev_warn" },
	{ 0x6907f310, "sas_rphy_delete" },
	{ 0x4e70d921, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc86f231b, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xba272a3f, "scsi_host_busy" },
	{ 0xd0443355, "ata_sas_async_probe" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xc9a674d5, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x95d979b2, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x408d3315, "ata_sas_port_suspend" },
	{ 0x4bb3061e, "sas_rphy_add" },
	{ 0x792b5728, "sas_port_delete_phy" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xee4a59ec, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2935ba6e, "sas_port_add_phy" },
	{ 0x9896e8f9, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x60621bbf, "ata_sas_slave_configure" },
	{ 0x6b18b58f, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x16181f36, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xf97007ea, "ata_host_put" },
	{ 0xfcde2cfb, "sas_port_free" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0xf91d29bf, "ata_std_sched_eh" },
	{ 0xd41374b6, "scsi_block_requests" },
	{ 0xe3a65b60, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x26e65e88, "sas_remove_children" },
	{ 0x32b29a4a, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x675c7772, "ata_port_wait_eh" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x7686fa5e, "kmem_cache_destroy" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "C24B044A72CA30EF7DF1581");
MODULE_INFO(rhelversion, "9.5");
