#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x7c57a4f0, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x21c0ddfc, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x673341d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f072429, "device_property_present" },
	{ 0x2d96a1cf, "usb_hcd_platform_shutdown" },
	{ 0x42021b48, "is_acpi_device_node" },
	{ 0x88c65d12, "of_fwnode_ops" },
	{ 0x5ea2c5bc, "device_set_wakeup_capable" },
	{ 0xee1b2065, "xhci_suspend" },
	{ 0x49d60ff2, "devm_platform_get_and_ioremap_resource" },
	{ 0x20fbf685, "platform_driver_unregister" },
	{ 0x2a9a9696, "platform_get_irq" },
	{ 0x3a01a9d7, "xhci_gen_setup" },
	{ 0x24e6059, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x28d1d487, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x3fa41df5, "devm_reset_control_array_get" },
	{ 0xaa2cde5e, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xc4862b8f, "pm_runtime_enable" },
	{ 0x9b161073, "device_property_read_u32_array" },
	{ 0xa090a6b4, "of_match_device" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x8c9f7094, "xhci_resume" },
	{ 0xeacc000b, "xhci_run" },
	{ 0x24a3197b, "usb_hcd_is_primary_hcd" },
	{ 0x66e011c3, "xhci_init_driver" },
	{ 0xd42fd20f, "usb_put_hcd" },
	{ 0x76fd0523, "__platform_driver_register" },
	{ 0x260cf51b, "dma_set_coherent_mask" },
	{ 0xd6525a66, "devm_clk_get_optional" },
	{ 0xa9d9cf28, "pm_runtime_forbid" },
	{ 0x9d190105, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x2ca575a2, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8aaf308a, "dma_set_mask" },
	{ 0x38602f5c, "usb_remove_hcd" },
	{ 0x84eddb26, "of_device_get_match_data" },
	{ 0x3b386d94, "__pm_runtime_disable" },
	{ 0xf0f1186c, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xef76655a, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "9D899000B68E1B2A99C5FF6");
MODULE_INFO(rhelversion, "9.5");
