#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x95726cce, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xf858d6dd, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x5cc955f9, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xfd4e33e6, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x101329a3, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x955ae125, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x63291fc0, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x0e80dd25, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xe466dad3, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x95bbdf53, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x1467b7e4, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x92333e4b, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x25dbe83f, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x79e3f250, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x5b88347a, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x6e32f2f7, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xa38fea77, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x74cee66a, "");
SYMBOL_CRC(vhost_chr_poll, 0x69e05e15, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xc0715c0c, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x35873014, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x3b6fcdb2, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x2db847ca, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x19a4d67b, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x3d54fe00, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xb8ad357b, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xfdde8aab, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x7610f64d, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xcc37ff8e, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x948739de, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x73453653, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xb8e1f96c, "_gpl");
SYMBOL_CRC(vhost_signal, 0xaa9dc11f, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xc20b3d84, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x90f954b3, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x4fa77f86, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x82d077dc, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x831f8ced, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xce1724f5, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x67610ba7, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x5bebdc4f, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x41822d08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3df8db4, "add_wait_queue" },
	{ 0xd524eb3e, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x41c1dae0, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0x23b9b882, "cgroup_attach_task_all" },
	{ 0x7000c692, "mmput" },
	{ 0x8b368561, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0x4a745421, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4f8d6284, "unpin_user_pages_dirty_lock" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x116be01a, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xa74fe48b, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x4b37f30f, "fput" },
	{ 0xb726e716, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x743f2ce4, "iov_iter_init" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xcd9d9feb, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9445864, "prepare_to_wait" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeef7a5cf, "get_task_mm" },
	{ 0xb86569c0, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x1e8280b4, "iov_iter_advance" },
	{ 0x52687710, "eventfd_fget" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x16f616ad, "param_ops_ushort" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.5");
