#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x1a3e60a3, "");
SYMBOL_CRC(bt_sock_register, 0x0971443e, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xc8c05be7, "");
SYMBOL_CRC(bt_sock_link, 0xffc78464, "");
SYMBOL_CRC(bt_sock_unlink, 0x5d65d730, "");
SYMBOL_CRC(bt_accept_enqueue, 0x19af481f, "");
SYMBOL_CRC(bt_accept_unlink, 0x9106b503, "");
SYMBOL_CRC(bt_accept_dequeue, 0x158b767f, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xc87e5741, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x62d3d4f0, "");
SYMBOL_CRC(bt_sock_poll, 0xcee5387c, "");
SYMBOL_CRC(bt_sock_ioctl, 0xa8b127a5, "");
SYMBOL_CRC(bt_sock_wait_state, 0xf28b7069, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x59574771, "");
SYMBOL_CRC(bt_procfs_init, 0x0f206cb4, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xe68ed487, "");
SYMBOL_CRC(bt_debugfs, 0x4e7f945c, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x263819ed, "");
SYMBOL_CRC(hci_free_dev, 0x6b50e8e9, "");
SYMBOL_CRC(hci_register_dev, 0x298b61cf, "");
SYMBOL_CRC(hci_unregister_dev, 0x771e98a6, "");
SYMBOL_CRC(hci_release_dev, 0x87520168, "");
SYMBOL_CRC(hci_suspend_dev, 0x12cdbdff, "");
SYMBOL_CRC(hci_resume_dev, 0xca335215, "");
SYMBOL_CRC(hci_reset_dev, 0x6e4e533f, "");
SYMBOL_CRC(hci_recv_frame, 0x6cbcf77c, "");
SYMBOL_CRC(hci_recv_diag, 0xef82c899, "");
SYMBOL_CRC(hci_set_hw_info, 0xc416e1d0, "");
SYMBOL_CRC(hci_set_fw_info, 0x8013a5b1, "");
SYMBOL_CRC(hci_register_cb, 0x117b9d08, "");
SYMBOL_CRC(hci_unregister_cb, 0x6e30761b, "");
SYMBOL_CRC(__hci_cmd_send, 0x385a689a, "");
SYMBOL_CRC(hci_get_route, 0x05cf0ce2, "");
SYMBOL_CRC(hci_conn_security, 0x70ba62a7, "");
SYMBOL_CRC(hci_conn_check_secure, 0xb7587fb6, "");
SYMBOL_CRC(hci_conn_switch_role, 0x7be7ad60, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x8802bc83, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xbd7f08a8, "");
SYMBOL_CRC(l2cap_add_psm, 0x71092b46, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xa897883d, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x275d146c, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x72c97a13, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xf1cb3e19, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xaf792a59, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x5d27c34c, "");
SYMBOL_CRC(l2cap_register_user, 0x5d6afe5d, "");
SYMBOL_CRC(l2cap_unregister_user, 0x28937e5d, "");
SYMBOL_CRC(l2cap_conn_get, 0xaf397c0f, "");
SYMBOL_CRC(l2cap_conn_put, 0x4e94476d, "");
SYMBOL_CRC(l2cap_chan_send, 0xf128ca1f, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x4db9b717, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x498c6472, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xc2fd9fcb, "");
SYMBOL_CRC(__hci_cmd_sync, 0x14084bd2, "");
SYMBOL_CRC(hci_cmd_sync, 0x861f77b9, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xa2188da6, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x0de58e12, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x06eb18ad, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x3f73605c, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x0c3f6ff3, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x37c33d5b, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x8af84a1c, "");
SYMBOL_CRC(hci_devcd_init, 0xbc871695, "");
SYMBOL_CRC(hci_devcd_append, 0x816ed96e, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x273e5c73, "");
SYMBOL_CRC(hci_devcd_complete, 0xac41cefe, "");
SYMBOL_CRC(hci_devcd_abort, 0xc6104c16, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x72ed8d84, "skb_free_datagram" },
	{ 0xe00c1d82, "sock_queue_rcv_skb_reason" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x19ef4897, "try_module_get" },
	{ 0x4e894216, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x18a305e1, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xba313740, "ida_destroy" },
	{ 0xee5b1f35, "idr_find" },
	{ 0x672f398a, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x3b6a5b6d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf29200d9, "dev_set_name" },
	{ 0xe6a1a315, "scm_detach_fds" },
	{ 0x8a1d78a3, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x18b89939, "device_unregister" },
	{ 0xb5bdd1be, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xf1bcb390, "debugfs_create_u16" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0x80846ff6, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xb4080e7d, "add_wait_queue_exclusive" },
	{ 0x887c3451, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0xc3df8db4, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x58d6a747, "sock_no_connect" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0xd728cb79, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0xbe2d28d3, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x38be48b4, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x1405403, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbee7ba9a, "__put_cred" },
	{ 0xedd39fb9, "put_cmsg" },
	{ 0xd1f3dbd5, "skb_queue_purge_reason" },
	{ 0x8f913289, "crypto_destroy_tfm" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xd50c945d, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xb458e6c, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x680d2e63, "sock_register" },
	{ 0x85affdd8, "datagram_poll" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd5456ae5, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa42d961d, "__alloc_skb" },
	{ 0x7ee55cc2, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0xb025b413, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd11902eb, "skb_queue_tail" },
	{ 0xdea367fa, "module_put" },
	{ 0x2e3cf50a, "__sock_recv_ts_and_drops" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x56658f27, "debugfs_attr_read" },
	{ 0xbbab2863, "__sock_recv_timestamp" },
	{ 0xe9285639, "sock_no_shutdown" },
	{ 0xa11b819c, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x106dc745, "crypto_req_done" },
	{ 0x7236b989, "init_net" },
	{ 0x603dc683, "crypto_shash_setkey" },
	{ 0x4d75edc1, "simple_open" },
	{ 0x4eacaa65, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x36951a49, "device_add" },
	{ 0x60777667, "idr_alloc" },
	{ 0x4363444e, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9437e17f, "init_uts_ns" },
	{ 0xbb07b476, "sk_free" },
	{ 0x3d0e3db4, "class_create" },
	{ 0x58d8a8f6, "device_move" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x4b8f403e, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x85cacb5e, "skb_push" },
	{ 0x3f360012, "sock_no_listen" },
	{ 0xb3c6e219, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x2613a642, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc0c08d28, "iov_iter_kvec" },
	{ 0x85551ba9, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xcb262db6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4dde8008, "device_find_child" },
	{ 0x468b8ea3, "dev_coredumpv" },
	{ 0x495feb1b, "skb_copy_datagram_iter" },
	{ 0x3874ae, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xcb52fd00, "sk_alloc" },
	{ 0xd14bff66, "device_del" },
	{ 0x5abf9310, "__sock_queue_rcv_skb" },
	{ 0xf06e63b3, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77832bdf, "default_llseek" },
	{ 0x872d45a4, "__sock_recv_wifi_status" },
	{ 0x343b1a4f, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x904f9b50, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x22bb44c5, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x72bb3d9b, "sock_no_mmap" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xe2a26143, "__pskb_pull_tail" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x53a7e393, "__scm_destroy" },
	{ 0x44ccfeb2, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xcbccd0f, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xce24c153, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17166e34, "seq_read" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xa9db8225, "sock_i_ino" },
	{ 0x3f7111bd, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x330879e7, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x51a67094, "skb_recv_datagram" },
	{ 0x35fbad05, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0xc8435124, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8d5daf46, "skb_copy" },
	{ 0x6abad6ac, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0x6b3665a9, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd524eb3e, "remove_wait_queue" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x49ef50de, "sock_gettstamp" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85f53a61, "pid_vnr" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd2be3a6d, "proc_create_seq_private" },
	{ 0x9697035d, "debugfs_create_u8" },
	{ 0x17b8e167, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x89c06ce5, "crypto_alloc_shash" },
	{ 0x8f9dd9ec, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa607e854, "fwnode_property_read_u8_array" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x3b92e299, "put_pid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1e44671c, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31e4ea2, "__dev_fwnode" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b30939c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x72dfe702, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "1521DC2DC4764AFAEB335BF");
MODULE_INFO(rhelversion, "9.5");
