#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x635aba9c, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x4e59cd6f, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x6c5d0fe2, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x54ba7c44, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x3b1a0ce3, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x9dd298a1, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x44f9b63f, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x539f5209, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xbfcabeec, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x92710345, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x8445fa49, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xfc7fc767, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x442ee59d, "ipv6_chk_addr_and_flags" },
	{ 0xccfa05c8, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x23a9df2c, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x1a4f6846, "register_pernet_device" },
	{ 0xdd79875b, "xfrm6_tunnel_register" },
	{ 0xf5b044ee, "rtnl_link_register" },
	{ 0x16eb1e84, "xfrm6_tunnel_deregister" },
	{ 0x60c5ae72, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x7d73f78b, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x36ef0ad2, "rt6_lookup" },
	{ 0x153527b6, "dst_release" },
	{ 0xa56c6fc, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa4a8d174, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x7236b989, "init_net" },
	{ 0xc510f713, "alloc_netdev_mqs" },
	{ 0x6df3c10f, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xee6d0b43, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf2aaeeb9, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xcd7ea282, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xe2a26143, "__pskb_pull_tail" },
	{ 0x3ecd3833, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf0fbfee, "netdev_state_change" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0xbb36663d, "ip6_redirect" },
	{ 0x5125dc44, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xc0c37dda, "dst_cache_get" },
	{ 0xb9dcf775, "ip6_route_output_flags" },
	{ 0x201cefd, "xfrm_lookup" },
	{ 0x795935d8, "skb_scrub_packet" },
	{ 0xfa08c79e, "skb_realloc_headroom" },
	{ 0x8f3fbb9b, "skb_set_owner_w" },
	{ 0x23d13d, "consume_skb" },
	{ 0xc493d8c0, "ipv6_push_frag_opts" },
	{ 0x85cacb5e, "skb_push" },
	{ 0x92965184, "ip6_local_out" },
	{ 0x166a0596, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0x65b85ba1, "ip6_dst_hoplimit" },
	{ 0x1ecfda6f, "ipv6_dev_get_saddr" },
	{ 0xe88a9abd, "neigh_destroy" },
	{ 0x6abad6ac, "skb_clone" },
	{ 0x4eacaa65, "skb_pull" },
	{ 0xbda02822, "__icmpv6_send" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x8408c9ee, "gro_cells_receive" },
	{ 0x62506974, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xfb0ca605, "ip_route_output_flow" },
	{ 0x73dceb23, "ip_route_input_noref" },
	{ 0x72152c46, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x569f5940, "iptunnel_handle_offloads" },
	{ 0x1c16bf3e, "icmpv6_ndo_send" },
	{ 0xeef32f, "icmp_ndo_send" },
	{ 0x39047148, "__iptunnel_pull_header" },
	{ 0xad015df1, "metadata_dst_alloc" },
	{ 0xeed87738, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6e735c6b, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xcbc9b568, "dev_get_tstats64" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "BE0736E6F2AB50294927908");
MODULE_INFO(rhelversion, "9.5");
