#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x283f27cd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xfea5f5bd, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x8f14900c, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x5846e60e, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x74d88db4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xf575027f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x59154c3f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x8044d258, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xbad03508, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x8156f73d, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x65e4640f, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xb8241c8b, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xa35526f5, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xc0f77fd0, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xc4fba2c4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xdcf3483d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x93485834, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xe2e261a4, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x5b5550cb, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x21689897, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xf39bf858, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc1044b, "perf_trace_run_bpf_submit" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf6602ed7, "bpf_trace_run1" },
	{ 0xdb01a1d, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x124a4ea7, "udp_sock_create6" },
	{ 0xfe407e6d, "kernel_sock_shutdown" },
	{ 0xc0a99fd1, "sock_release" },
	{ 0x47e10569, "sock_create_kern" },
	{ 0xa7fd1fce, "kernel_bind" },
	{ 0x5bb5abbd, "kernel_connect" },
	{ 0xb0b09dd2, "udp_sock_create4" },
	{ 0x1a4f6846, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x60c5ae72, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7cc7f2fb, "idr_get_next_ul" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf06e63b3, "idr_destroy" },
	{ 0xbb07b476, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0xb5bdd1be, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe63d622b, "idr_alloc_u32" },
	{ 0x9ee74eed, "sockfd_lookup" },
	{ 0xcb262db6, "lock_sock_nested" },
	{ 0x5b30939c, "release_sock" },
	{ 0xe699c02d, "idr_replace" },
	{ 0x4b37f30f, "fput" },
	{ 0xd0942dfe, "setup_udp_tunnel_sock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd11902eb, "skb_queue_tail" },
	{ 0x3cdf237, "ip_queue_xmit" },
	{ 0xa45fa2a6, "pskb_expand_head" },
	{ 0x644d6b5c, "udp_set_csum" },
	{ 0xf29c6c29, "inet6_csk_xmit" },
	{ 0xb0bf4cca, "udp6_set_csum" },
	{ 0x153527b6, "dst_release" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe2a26143, "__pskb_pull_tail" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "D131D2F101ECA73E4757E91");
MODULE_INFO(rhelversion, "9.5");
