#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x11051399, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x4356292f, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xe0fd1cbc, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x2375f0e8, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x2b6501cf, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x5dab57c9, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xc2431d89, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x89df6ba5, "");
SYMBOL_CRC(ip_vs_conn_put, 0x5dba6ab5, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xb5b7eac6, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x8b4241ee, "");
SYMBOL_CRC(register_ip_vs_app, 0x78a42d74, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x1869a020, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x7acd2feb, "");
SYMBOL_CRC(ip_vs_proto_get, 0x070bad48, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x1c7bfa0d, "");
SYMBOL_CRC(register_ip_vs_pe, 0xa4d38ad1, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xe0a10f17, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x35fbe579, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf877edd5, "nf_ct_ext_add" },
	{ 0xeffc8edc, "nf_conntrack_find_get" },
	{ 0x19ef4897, "try_module_get" },
	{ 0xbe342e77, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2d341548, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0x201cefd, "xfrm_lookup" },
	{ 0xae526bb1, "proc_dointvec_jiffies" },
	{ 0xad0f9e9e, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23d13d, "consume_skb" },
	{ 0x92965184, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x77e0ee64, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x6a042066, "nf_ct_netns_get" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa7fd1fce, "kernel_bind" },
	{ 0x4133e3d9, "genlmsg_put" },
	{ 0x644d6b5c, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6ff90b6, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbe2d28d3, "__module_get" },
	{ 0xfb0ca605, "ip_route_output_flow" },
	{ 0xa31f88d2, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x569f5940, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xfafda70d, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xeab888ea, "proc_create_net_data" },
	{ 0xa45fa2a6, "pskb_expand_head" },
	{ 0xaad0136a, "register_pernet_subsys" },
	{ 0x41c1dae0, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb470593e, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x31a04d50, "nf_register_net_hooks" },
	{ 0xb9dcf775, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xa42d961d, "__alloc_skb" },
	{ 0xa90e1ccc, "kmem_cache_alloc" },
	{ 0x5b008fe5, "ipv6_sock_mc_join" },
	{ 0xdea367fa, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x1ecfda6f, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd48661f9, "__skb_get_hash" },
	{ 0x7236b989, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3838429f, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc72b584b, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x1e3414d4, "nf_conntrack_alter_reply" },
	{ 0x131d0be7, "ip_route_me_harder" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x85cacb5e, "skb_push" },
	{ 0x3da282cd, "kmem_cache_free" },
	{ 0x2613a642, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5cc30a5, "proc_doulongvec_minmax" },
	{ 0xb39367d1, "nf_ct_expect_alloc" },
	{ 0x9e189898, "skb_ensure_writable" },
	{ 0xc0c08d28, "iov_iter_kvec" },
	{ 0x68112a94, "ip_mc_join_group" },
	{ 0xde098b88, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6e735c6b, "ns_capable" },
	{ 0xab6116b2, "nf_unregister_net_hooks" },
	{ 0x5483ddcc, "inet_select_addr" },
	{ 0x60c5ae72, "unregister_pernet_device" },
	{ 0xcb262db6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7fd84f0c, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb726e716, "kthread_stop" },
	{ 0x115ca80b, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd05ad55e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x5bb5abbd, "kernel_connect" },
	{ 0x564200e3, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x66e5f8db, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbda02822, "__icmpv6_send" },
	{ 0xe2a26143, "__pskb_pull_tail" },
	{ 0x85982ede, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbccd0f, "skb_trim" },
	{ 0xb2505d40, "nf_hook_slow" },
	{ 0x6c6c27f5, "mutex_trylock" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb86569c0, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xf46594eb, "nf_ct_deliver_cached_events" },
	{ 0xfa08c79e, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4b7a3a86, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x72152c46, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0x8f3fbb9b, "skb_set_owner_w" },
	{ 0xb38daf62, "__skb_checksum" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x47e10569, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x55a1ea6f, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xbc46263e, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc2fb3618, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8255a88f, "ipv4_update_pmtu" },
	{ 0x7392f94d, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x153527b6, "dst_release" },
	{ 0xc0a99fd1, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xac3ec51, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xfeab6f0c, "unregister_net_sysctl_table" },
	{ 0xa33518bd, "ip_local_out" },
	{ 0xd79990e9, "genl_unregister_family" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb0bf4cca, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x71beafe2, "genl_register_family" },
	{ 0x3bb74d1, "kernel_sendmsg" },
	{ 0x2846c783, "nf_ct_netns_put" },
	{ 0x1a4f6846, "register_pernet_device" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7686fa5e, "kmem_cache_destroy" },
	{ 0x5b30939c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8f18195c, "proc_dointvec_minmax" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.5");
