#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x6dcc7165, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x3a8400be, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x5cf4c227, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x20d01f09, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xfee538b4, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x637e2d99, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xfb250a47, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x85982ede, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xeffc8edc, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x304ea250, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x9faa7ced, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x115ca80b, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xb5cf8ae3, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xb8364f5e, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xd9fd9cca, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x7433eb22, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x1e3414d4, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xd7cca8b0, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x6d786408, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xd0907132, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x5e880441, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xffdd4578, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x4b7fb4f4, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x3ce7a1be, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x439d56bd, "_gpl");
SYMBOL_CRC(print_tuple, 0x9648067f, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x8e125a67, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x1f0d66c7, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xe787a236, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x78cdb673, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x76fda033, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xe28e01a4, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x216ac546, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xb39367d1, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x55a1ea6f, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xde098b88, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xc72b584b, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xb8bc773b, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x6d5b1e9e, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xce2703a2, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x7064d197, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x6c387b3b, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x2ef9ef0d, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x1bde7ff1, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xd07e56b7, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xfea5f5c5, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xbc0ad4a5, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xe209524e, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xfb67c9d7, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x6bf0ec7a, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x460b6164, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x7d45b721, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xaefdf7ac, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xb4b7c15a, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x82aea3e0, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x102184fb, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xa8fafcad, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x2f69436a, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xbe7ce30d, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xbf9941fd, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x94591e29, "_gpl");
SYMBOL_CRC(nf_confirm, 0xa597fe1d, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x6a042066, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x2846c783, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xc4f9cdba, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xa9418537, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xf877edd5, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x7851c309, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xc5b1f96b, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xc260bf68, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x09980d0e, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xcee3e49a, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xa25a14fb, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x808d62bd, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x0ee6d7be, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x8cff53cd, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x5c39db10, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xcff65ecf, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xf46594eb, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x9b4b6543, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x82d2848c, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xb5dd1ae0, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x72877473, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xec854109, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x242ec61f, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x52b52ab8, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x3f4168ac, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x808c5567, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xd28e23b3, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x4f21a002, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x423bb7cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9979787c, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x19ef4897, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdffcf7b7, "nf_defrag_ipv4_disable" },
	{ 0x840525b9, "nf_ip6_checksum" },
	{ 0x2a3704bc, "proc_dou8vec_minmax" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0x14c21b91, "param_ops_uint" },
	{ 0xae526bb1, "proc_dointvec_jiffies" },
	{ 0xad0f9e9e, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x77e0ee64, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xa7bb015, "nfct_btf_struct_access" },
	{ 0xab75c684, "param_set_uint" },
	{ 0xfc9a78bd, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1c3af64, "nf_ct_frag6_gather" },
	{ 0xb7acb3dc, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa31f88d2, "kmem_cache_create" },
	{ 0x4c9271e, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeab888ea, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xaad0136a, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xb470593e, "nf_unregister_sockopt" },
	{ 0x2f808640, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0xb48db890, "nf_defrag_ipv6_disable" },
	{ 0x875ffadd, "ipv6_skip_exthdr" },
	{ 0x31a04d50, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xa90e1ccc, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xdea367fa, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1f097efb, "nf_checksum" },
	{ 0x7559b96f, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7236b989, "init_net" },
	{ 0xf95c2ae7, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x3da282cd, "kmem_cache_free" },
	{ 0x2613a642, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x204772c4, "nf_checksum_partial" },
	{ 0x9e189898, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xab6116b2, "nf_unregister_net_hooks" },
	{ 0xcb262db6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd05ad55e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x66e5f8db, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf843ba45, "nf_log_packet" },
	{ 0x9552a06a, "make_kgid" },
	{ 0x33933d89, "nf_ip_checksum" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x60d536e8, "register_btf_kfunc_id_set" },
	{ 0x97d0292d, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1699f936, "down_read" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xdde9d03e, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb38daf62, "__skb_checksum" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4eda2e5f, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0x5d045ba6, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7392f94d, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xac3ec51, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1c0b4b64, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xfeab6f0c, "unregister_net_sysctl_table" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x683137bb, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x39652774, "pskb_trim_rcsum_slow" },
	{ 0x41a946b1, "up_read" },
	{ 0xdcb3208a, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7686fa5e, "kmem_cache_destroy" },
	{ 0x5b30939c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "9C74D52585A1DDF3D13F146");
MODULE_INFO(rhelversion, "9.5");
