#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x5c7520d6, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xe3ec51d4, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xf5290b67, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xeee2e72f, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xf14c11dd, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xae1ddf28, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x5e86fe1e, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x761c3fbe, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xf49200a2, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x45c50749, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x4787a5d6, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x098a2a68, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x8ec7a00f, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xaededf97, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x23d24913, "");
SYMBOL_CRC(nf_nat_follow_master, 0xb50b26b8, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x710ca8c4, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xff348e97, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xc6801c8c, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x53a21fae, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xc5132910, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf877edd5, "nf_ct_ext_add" },
	{ 0x9979787c, "__do_once_done" },
	{ 0xeffc8edc, "nf_conntrack_find_get" },
	{ 0x19ef4897, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x840525b9, "nf_ip6_checksum" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0x75825ea9, "nf_hook_entries_insert_raw" },
	{ 0x201cefd, "xfrm_lookup" },
	{ 0xc5b1f96b, "nf_ct_seqadj_set" },
	{ 0x3b6a5b6d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbc0ad4a5, "nf_ct_helper_expectfn_unregister" },
	{ 0xad2f45aa, "__xfrm_decode_session" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfea5f5c5, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa45fa2a6, "pskb_expand_head" },
	{ 0xaad0136a, "register_pernet_subsys" },
	{ 0xb5cf8ae3, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x5e880441, "nf_ct_iterate_cleanup_net" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x875ffadd, "ipv6_skip_exthdr" },
	{ 0x31a04d50, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfbe84187, "nf_ipv6_ops" },
	{ 0xdea367fa, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x1e3414d4, "nf_conntrack_alter_reply" },
	{ 0x131d0be7, "ip_route_me_harder" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x72b72d8c, "nf_hook_entries_delete_raw" },
	{ 0x9e189898, "skb_ensure_writable" },
	{ 0xab6116b2, "nf_unregister_net_hooks" },
	{ 0x5483ddcc, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xd05ad55e, "unregister_pernet_subsys" },
	{ 0x564200e3, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x85982ede, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x33933d89, "nf_ip_checksum" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x60d536e8, "register_btf_kfunc_id_set" },
	{ 0xffdd4578, "nf_ct_iterate_destroy" },
	{ 0xa0f41f29, "inet_proto_csum_replace16" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdde9d03e, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb38daf62, "__skb_checksum" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x5d045ba6, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x153527b6, "dst_release" },
	{ 0x6d786408, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1c0b4b64, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2BC8075DFAE62DEFD8CCA91");
MODULE_INFO(rhelversion, "9.5");
