#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xfb9916bd, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xc2c4f39e, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x345f9f1c, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72ed8d84, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe00c1d82, "sock_queue_rcv_skb_reason" },
	{ 0xcfa607c9, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x489e309a, "bpf_trace_run4" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0x9a4fed0c, "radix_tree_insert" },
	{ 0x3b6a5b6d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x23d13d, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xbb390083, "radix_tree_lookup" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0xa7fd1fce, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x3ec66db0, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6fa4953e, "sk_error_report" },
	{ 0xd1f3dbd5, "skb_queue_purge_reason" },
	{ 0x359f2cb7, "radix_tree_iter_delete" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xb458e6c, "proto_unregister" },
	{ 0x680d2e63, "sock_register" },
	{ 0x85affdd8, "datagram_poll" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0xa42d961d, "__alloc_skb" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0xb025b413, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x72424cdb, "__xa_alloc" },
	{ 0xe9285639, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc1044b, "perf_trace_run_bpf_submit" },
	{ 0xf37271e8, "__traceiter_sk_data_ready" },
	{ 0x7236b989, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbebf06e0, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f694345, "xa_load" },
	{ 0x40c75efc, "kernel_getsockname" },
	{ 0x8e96cf45, "do_wait_intr_irq" },
	{ 0xbb07b476, "sk_free" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x4b8f403e, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x85cacb5e, "skb_push" },
	{ 0x3f360012, "sock_no_listen" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcb262db6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x495feb1b, "skb_copy_datagram_iter" },
	{ 0xcb52fd00, "sk_alloc" },
	{ 0x904f9b50, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x72bb3d9b, "sock_no_mmap" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0x27e77666, "sock_no_sendpage" },
	{ 0x1a917bb3, "__netdev_alloc_skb" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x8877a0d4, "__xa_insert" },
	{ 0xd12db825, "xa_erase" },
	{ 0xed6a5feb, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8f3fbb9b, "skb_set_owner_w" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x47e10569, "sock_create_kern" },
	{ 0x3bfa674a, "xa_find" },
	{ 0x51a67094, "skb_recv_datagram" },
	{ 0x35fbad05, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd6822237, "xa_store" },
	{ 0x6abad6ac, "skb_clone" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0x85a71920, "_copy_from_iter" },
	{ 0xc0a99fd1, "sock_release" },
	{ 0x49ef50de, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x502d2e03, "iov_iter_revert" },
	{ 0x3bb74d1, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x1e44671c, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x5b30939c, "release_sock" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48BEB303FAF074C19834E70");
MODULE_INFO(rhelversion, "9.5");
