#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0xe78dbd5a, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xeedbf63b, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x4d0c3e9b, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x5ffeff1d, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xa5ca0b9c, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x92120325, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x3cdd9b81, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xd7001ddb, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x09ec468e, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xe19bfc71, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xd263225c, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xaed6aadd, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x3193a3c5, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x3020744d, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x5cb085a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4d6efc4, "drm_client_register" },
	{ 0x19ef4897, "try_module_get" },
	{ 0x3d11ef07, "drm_fb_helper_init" },
	{ 0x95237e96, "drm_fb_helper_debug_enter" },
	{ 0x67b48e5a, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xaadba452, "drm_client_buffer_vmap" },
	{ 0x17021974, "drm_fb_helper_lastclose" },
	{ 0xbc5f799a, "drm_fb_helper_setcmap" },
	{ 0x1b918daa, "drm_fb_helper_alloc_info" },
	{ 0x26bc931c, "drm_helper_disable_unused_functions" },
	{ 0x3e2e4a45, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x19d492be, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x998f1295, "drm_fb_helper_fini" },
	{ 0x6e967314, "dma_mmap_pages" },
	{ 0x282b96a, "drm_client_framebuffer_delete" },
	{ 0x98009c9, "dma_free_pages" },
	{ 0xea3dfd78, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd8a5d32, "drm_fb_helper_fill_info" },
	{ 0x5a1d218c, "drm_gem_create_mmap_offset" },
	{ 0x8919f571, "drm_gem_object_init" },
	{ 0x4e4185, "dev_driver_string" },
	{ 0xcdf15acf, "drm_fb_helper_hotplug_event" },
	{ 0x36b93ed7, "fb_sys_write" },
	{ 0xb2e14eb0, "sys_imageblit" },
	{ 0x48f71ab2, "drm_atomic_helper_damage_iter_init" },
	{ 0x354be156, "drm_fb_helper_blank" },
	{ 0xe319603a, "dma_alloc_pages" },
	{ 0xae8e764c, "drm_gem_private_object_init" },
	{ 0x21710b86, "drm_fb_helper_check_var" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbbeecc64, "sys_fillrect" },
	{ 0xdea367fa, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x84883d26, "drm_client_init" },
	{ 0xb7fb7051, "drm_gem_vm_close" },
	{ 0xe270024c, "drm_gem_vm_open" },
	{ 0x831e3839, "drm_fb_helper_prepare" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0x2a191e45, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x3e9dfaa3, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6822d5bd, "drm_gem_handle_create" },
	{ 0xd6ee0554, "drm_gem_fb_get_obj" },
	{ 0xe75f1eb8, "__drm_dev_dbg" },
	{ 0x2df1f8ec, "drm_fb_helper_pan_display" },
	{ 0xa46c890, "drm_client_release" },
	{ 0x173c169f, "sys_copyarea" },
	{ 0x8a8a5fbb, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x1eae474f, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63357889, "drm_client_buffer_vunmap" },
	{ 0x32c53b3, "fb_sys_read" },
	{ 0x7ce11a56, "drm_fb_helper_debug_leave" },
	{ 0x48be90f7, "dma_buf_vmap_unlocked" },
	{ 0x8699d6ed, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1a844106, "dma_get_sgtable_attrs" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x55cfd060, "drm_fb_helper_initial_config" },
	{ 0x1fb3af4, "drm_fb_helper_unregister_info" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x86fc2d1a, "drm_fb_helper_ioctl" },
	{ 0x270bcf1a, "drm_fb_helper_set_par" },
	{ 0x4db88bfc, "drm_prime_gem_destroy" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "64A45454504A8A792D821ED");
MODULE_INFO(rhelversion, "9.5");
