#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xa3cc9b4e, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x721eae09, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x45965a9c, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x6050f2d4, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x20f5e5e2, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xf450d3e4, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x03a98b89, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xc1e93716, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xe760abde, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x508ddae5, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x167f242f, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x3c8c4576, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xe2f05d06, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x060451c6, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x88ba5d91, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xa1e0208f, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xe50cc624, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x94c3f702, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xfd7aaf7b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xd2b4dee9, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xa99b385c, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x601ffcbd, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x36b700ae, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x1f0fe4c5, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x7967dda2, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x65a13ed2, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x60f6db6b, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x69947c86, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xd5a345bc, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xa85c1a19, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x01050d67, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x7803c56f, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xd63bbdb5, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x51c99178, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x7a9d4ab9, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x54f0b70d, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x52f4f679, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x554865d3, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x53dfd9f7, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xcfaf911d, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x2aa461db, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x0f08b4cc, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xfb54ab89, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xc3c66e9b, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x1ba63502, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x1d23f180, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x4bef0df1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xe24e5e44, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xf2767b46, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xd8f43335, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xb843a76d, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x6e594fa2, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x85a31278, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xd2b14543, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xaf20001c, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x252fffd8, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x8d0009e3, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x2128487d, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xd21dbcf8, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x1263f632, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x7f9acbac, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xeabeeac0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xa0226dfc, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x54f784d1, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xabe3c149, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x4370271d, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x2e5e217e, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x27ee2f65, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x5ed16a79, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xb291b34a, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xc5332159, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x6eee7131, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x9251a815, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xaea2911b, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x4cbccd64, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x26bc931c, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x68d56d4e, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x5240e8ac, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x6a1ef227, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xafb82223, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xfa27e8ec, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x2e4b49b5, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x7076bd69, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x1ce39efa, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x48f71ab2, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x7825518c, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xb127a8d3, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x8498a0e5, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x0468633b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x127ca987, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xcc5defdd, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xf46b0cd8, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xcbb43fe9, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x769a3f73, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xf75a268e, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x9b80b21e, "");
SYMBOL_CRC(drm_flip_work_queue, 0x2fb587ad, "");
SYMBOL_CRC(drm_flip_work_commit, 0xf66405fa, "");
SYMBOL_CRC(drm_flip_work_init, 0xce3d20ea, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xc36a4b62, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x9c0cc876, "");
SYMBOL_CRC(drm_fb_swab, 0xf795d9d2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x287edb68, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xf769b4d8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xe9bf23f0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x68ebcdf4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x54ec709e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x883e0c2f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x661fa7d3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xf5b38e87, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x5e416d55, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xbed5f6cc, "");
SYMBOL_CRC(drm_fb_blit, 0x6c99d30b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xab020a37, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x9e161e87, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xae72dd00, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xb8e7c51e, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xacbef7d3, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xe71200c7, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xe80635eb, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x434ef4b9, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xcd568df3, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xccdb1c5a, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x8a05b8d1, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x9f326746, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x7711ff51, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x24d6043e, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x2d6555ef, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x538e93b1, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xd6ee0554, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xda567966, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xd06b5a9e, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x5be7bd09, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x0bc44c12, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x22f6f1f9, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x71a4c6cc, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x4570a9ab, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x95b6a564, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x1776c2ea, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xfa2564e8, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xe24261e2, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xc99d07f3, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x66571ee5, "");
SYMBOL_CRC(drm_crtc_init, 0x0ac954f9, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x7ee75996, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x9e245e1e, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x1c992a79, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xcf58fe7e, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xdd7f5efc, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xb10bb1d1, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x5c6d1dcb, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x4a7c792d, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xacf7fe9c, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x5f0e01aa, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xf0d98cda, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xf71a0d48, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x134ef3a1, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x3d8d61ef, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xa9b50d44, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x2e38648d, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xf530ee81, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x697b5093, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x8e4acf29, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x0e075270, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xcb5fb245, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xb54cf62c, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x4343f8ce, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xe90a2320, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x882fc67c, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x512a831a, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xb7dd7fd1, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x5d4c9743, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x48ac031f, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x5ac7c052, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x6d60eb18, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xae28e02d, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x9afbf034, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x68beebb5, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xa93e6a5b, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x674ad00e, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x18304501, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x7027c699, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x08e634c9, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x29626a68, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x95237e96, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x7ce11a56, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xf54e97d3, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x354be156, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x831e3839, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x3e2e4a45, "");
SYMBOL_CRC(drm_fb_helper_init, 0x3d11ef07, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x1b918daa, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x2b313c66, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x01fb3af4, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x998f1295, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x5ba2da65, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x2a158214, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xeefd886c, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xd191217e, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x8cd0a4eb, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xbc5f799a, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x86fc2d1a, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x21710b86, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x270bcf1a, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x2df1f8ec, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xdd8a5d32, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x55cfd060, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xcdf15acf, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x17021974, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x1f1ac7cf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e3cbcef, "unregister_framebuffer" },
	{ 0x4f3096cb, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xdf49a502, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xb4d6efc4, "drm_client_register" },
	{ 0x51dcec96, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6b7ff2fd, "drm_panel_get_modes" },
	{ 0x47c043b3, "drm_gem_vmap_unlocked" },
	{ 0x19ef4897, "try_module_get" },
	{ 0x7ef4563c, "drm_connector_list_update" },
	{ 0x69a36ed6, "drm_bridge_add" },
	{ 0xf4774286, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0xe4f90bef, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf2acb647, "devm_kmalloc" },
	{ 0x5c52c9fc, "drm_client_rotation" },
	{ 0xaadba452, "drm_client_buffer_vmap" },
	{ 0x5df89221, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa2ca1032, "drm_framebuffer_init" },
	{ 0x74ac386d, "drm_mode_validate_driver" },
	{ 0xfe99b2cf, "vmalloc_to_page" },
	{ 0xd80c5750, "drm_atomic_add_affected_planes" },
	{ 0x123f2d7e, "dma_buf_end_cpu_access" },
	{ 0xbb50e54, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6909faa, "drm_mode_probed_add" },
	{ 0x1e7e9fb6, "drm_atomic_add_affected_connectors" },
	{ 0x17181caf, "drm_gem_vunmap_unlocked" },
	{ 0xeeab72a6, "drm_bridge_hpd_enable" },
	{ 0x9aa8547d, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0xcf273bfd, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x282b96a, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xea3dfd78, "drm_client_framebuffer_create" },
	{ 0x9d83262a, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xbd3e97ac, "drm_mode_object_get" },
	{ 0x9b4a93d9, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x5a6f3f92, "drm_driver_legacy_fb_format" },
	{ 0xca3f634e, "drm_crtc_cleanup" },
	{ 0x2a14c5cb, "drm_connector_list_iter_begin" },
	{ 0xdf5c8fae, "fb_deferred_io_init" },
	{ 0x937c7dac, "drm_mode_set_config_internal" },
	{ 0x8035a7e3, "fb_deferred_io_cleanup" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0x68fccb49, "framebuffer_alloc" },
	{ 0x86b0aff2, "drm_encoder_cleanup" },
	{ 0x39ba6aab, "drm_connector_unregister" },
	{ 0x3a3299ab, "drm_modeset_acquire_init" },
	{ 0x44b8bf95, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xc3e4ff7b, "drm_client_modeset_probe" },
	{ 0x23723415, "drm_warn_on_modeset_not_all_locked" },
	{ 0x7a2fccc5, "drm_plane_get_damage_clips" },
	{ 0xd718cb6d, "devres_add" },
	{ 0x333f902d, "dma_fence_wait_timeout" },
	{ 0xb31ba434, "drm_add_modes_noedid" },
	{ 0x95426bcf, "drm_bridge_remove" },
	{ 0x98ba1a0b, "drm_mode_object_put" },
	{ 0x4e4185, "dev_driver_string" },
	{ 0xc7ed5757, "drm_crtc_vblank_get" },
	{ 0xab47460e, "drm_gem_object_lookup" },
	{ 0x5d5d8be1, "drm_crtc_send_vblank_event" },
	{ 0x2fd83d02, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x36b93ed7, "fb_sys_write" },
	{ 0xfe6c8ff8, "drm_atomic_normalize_zpos" },
	{ 0xa5ccb6fa, "drm_edid_connector_update" },
	{ 0xcb1b0666, "drm_sysfs_hotplug_event" },
	{ 0xeecc660a, "drm_bridge_hpd_disable" },
	{ 0xb2e14eb0, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x455ec40c, "__drmm_add_action_or_reset" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xd6d8a3ed, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xbbeecc64, "sys_fillrect" },
	{ 0x15174570, "drm_connector_list_iter_end" },
	{ 0xf7891ec9, "drm_atomic_set_crtc_for_plane" },
	{ 0xa7c867a8, "drm_bridge_edid_read" },
	{ 0x687c8ac4, "drm_client_modeset_dpms" },
	{ 0xce3bde7b, "drm_mode_prune_invalid" },
	{ 0xa9d06ded, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xba4b603b, "_dev_info" },
	{ 0x10d9726b, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x4b1ca3f8, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xdea367fa, "module_put" },
	{ 0xac6f9051, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x9ea9db89, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x84883d26, "drm_client_init" },
	{ 0xf430b88b, "drm_crtc_wait_one_vblank" },
	{ 0xf502ee29, "drm_crtc_next_vblank_start" },
	{ 0x396ceff5, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xd170723d, "drm_modeset_lock" },
	{ 0x5feeb9d, "drm_client_modeset_commit_locked" },
	{ 0xb70ab971, "drm_modeset_unlock" },
	{ 0x34fdeabb, "drm_panel_disable" },
	{ 0xbc374bc9, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xce5c3aa2, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xba3d49c4, "devm_kfree" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0x2d998f13, "drm_writeback_cleanup_job" },
	{ 0xc659f425, "drm_modeset_lock_all_ctx" },
	{ 0x3707cfc1, "i2c_unregister_device" },
	{ 0x8bc923e5, "drm_atomic_set_fb_for_plane" },
	{ 0xe5cd7b59, "__drm_universal_plane_alloc" },
	{ 0x662be80c, "drm_connector_init_with_ddc" },
	{ 0x49828714, "drm_edid_connector_add_modes" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x838d85a6, "__devres_alloc_node" },
	{ 0x3aee35e6, "drm_edid_read" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x3bb711d6, "drm_crtc_commit_wait" },
	{ 0x55abc23d, "drm_dev_has_vblank" },
	{ 0x7bbf8d3c, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x58d2ba80, "__drm_atomic_helper_disable_plane" },
	{ 0xa15746b0, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6822d5bd, "drm_gem_handle_create" },
	{ 0xa6a36df5, "drm_atomic_set_crtc_for_connector" },
	{ 0xfc2726a9, "drm_analog_tv_mode" },
	{ 0xde2529bd, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xa03f5171, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xa76357bc, "drm_crtc_vblank_put" },
	{ 0x21a3d730, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xe75f1eb8, "__drm_dev_dbg" },
	{ 0xd8f27216, "drm_plane_get_damage_clips_count" },
	{ 0x45ec5bd2, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x94cf52bd, "fb_deferred_io_mmap" },
	{ 0xf9104cad, "drm_atomic_state_alloc" },
	{ 0xe323e5bc, "drm_client_modeset_commit" },
	{ 0xdcb764ad, "memset" },
	{ 0x118b98cd, "_dev_warn" },
	{ 0x18e2a448, "drm_atomic_bridge_chain_post_disable" },
	{ 0xea437692, "drm_connector_update_edid_property" },
	{ 0xc955f1df, "fwnode_handle_get" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xeeb1ff9f, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x45623ed9, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xa46c890, "drm_client_release" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5fabbee9, "__drm_atomic_helper_set_config" },
	{ 0x6c6c27f5, "mutex_trylock" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x1a905b4f, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x475ce925, "drm_get_format_info" },
	{ 0x6ea86fb1, "drm_connector_cleanup" },
	{ 0xb7d2f157, "drm_universal_plane_init" },
	{ 0xdc503229, "drm_any_plane_has_format" },
	{ 0x173c169f, "sys_copyarea" },
	{ 0xe81106b0, "drm_connector_list_iter_next" },
	{ 0xd6d46289, "drm_modeset_acquire_fini" },
	{ 0xbd2f9239, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x684893c2, "drm_object_property_get_default_value" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0x34771833, "drm_of_find_panel_or_bridge" },
	{ 0x3a91cdcd, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x655c9b98, "drm_modeset_backoff" },
	{ 0x66295b28, "drm_panel_prepare" },
	{ 0x32af51c0, "drm_bridge_chain_mode_set" },
	{ 0x63357889, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x32c53b3, "fb_sys_read" },
	{ 0xd139e567, "drm_atomic_get_plane_state" },
	{ 0x91b67b7a, "drm_atomic_bridge_chain_check" },
	{ 0x7504bf90, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xd466fe4f, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa9da1d84, "drm_property_blob_put" },
	{ 0x113fdbb9, "drm_mode_destroy" },
	{ 0x85288f6c, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x674aa787, "drm_set_preferred_mode" },
	{ 0x2cf5e159, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xf4ef15bb, "drm_atomic_state_clear" },
	{ 0xdf3bb73e, "drm_mode_config_reset" },
	{ 0xb29ae65f, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x46ff2625, "drm_modeset_drop_locks" },
	{ 0x33cb27b0, "fwnode_handle_put" },
	{ 0x7641de12, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xa8aafc72, "drm_atomic_bridge_chain_disable" },
	{ 0x8f432306, "drm_mode_create_from_cmdline_mode" },
	{ 0x83681f83, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0xcf8bbfd, "drm_atomic_nonblocking_commit" },
	{ 0x8f9dd9ec, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xf50d7bca, "drm_master_internal_release" },
	{ 0xf61b7ab, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xaad56371, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x9bf64e3a, "drm_atomic_add_encoder_bridges" },
	{ 0x2f0a8f31, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x17e2233a, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "830406D5DAF33E3F99FD55B");
MODULE_INFO(rhelversion, "9.5");
