#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xb625fa71, "");
SYMBOL_CRC(drm_gem_vram_put, 0x7d252b5f, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x038d122f, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x0d6317ec, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x09e4596e, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x75ae8426, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x7b780a02, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xfedf56f8, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x468a51ba, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x00e20ef3, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x41ff76f0, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x176fa9fc, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xc2f42f08, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xa49699e9, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x489d5e6b, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x32a0863e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23c28b09, "ttm_range_man_init_nocheck" },
	{ 0xdcbb3f3c, "ww_mutex_lock_interruptible" },
	{ 0x1c1f9e34, "ttm_resource_manager_debug" },
	{ 0xd7065b79, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b8ffe25, "ttm_range_man_fini_nocheck" },
	{ 0x8919f571, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0x2790bd45, "ttm_bo_pin" },
	{ 0x4e4185, "dev_driver_string" },
	{ 0x524eab89, "drm_gem_ttm_mmap" },
	{ 0x455ec40c, "__drmm_add_action_or_reset" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3d230d79, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2a191e45, "drm_gem_object_release" },
	{ 0x4c63f110, "ttm_tt_init" },
	{ 0x6822d5bd, "drm_gem_handle_create" },
	{ 0xd6ee0554, "drm_gem_fb_get_obj" },
	{ 0xa687047e, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x59888248, "drm_debugfs_add_files" },
	{ 0xa4f4f7f4, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1faf7a8c, "ttm_device_init" },
	{ 0x553e1226, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcb76986, "ttm_bo_move_to_lru_tail" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x2eb6bbe3, "ttm_bo_vmap" },
	{ 0xbb306248, "ttm_bo_put" },
	{ 0xadb53851, "ttm_resource_free" },
	{ 0xe0ab0717, "ttm_bo_move_memcpy" },
	{ 0xcbe2cea5, "ttm_tt_fini" },
	{ 0x7d3c95da, "ttm_device_fini" },
	{ 0xae72dd00, "drm_gem_plane_helper_prepare_fb" },
	{ 0xf44c6121, "ttm_bo_eviction_valuable" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x5589fe5b, "drm_gem_ttm_print_info" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.5");
