#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x9fedd398, "");
SYMBOL_CRC(host1x_device_exit, 0x90cc2876, "");
SYMBOL_CRC(host1x_driver_register_full, 0xeac56028, "");
SYMBOL_CRC(host1x_driver_unregister, 0xf2b310bd, "");
SYMBOL_CRC(__host1x_client_init, 0x94efc086, "");
SYMBOL_CRC(host1x_client_exit, 0xfb37893e, "");
SYMBOL_CRC(__host1x_client_register, 0x7675eeec, "");
SYMBOL_CRC(host1x_client_unregister, 0xa495fdd7, "");
SYMBOL_CRC(host1x_client_suspend, 0x4754ea5b, "");
SYMBOL_CRC(host1x_client_resume, 0x2554dacf, "");
SYMBOL_CRC(host1x_bo_pin, 0x668d2a35, "");
SYMBOL_CRC(host1x_bo_unpin, 0xae33641f, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x08ca7749, "");
SYMBOL_CRC(host1x_syncpt_id, 0x5147c5d3, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0xea01f2b4, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x2c913a3c, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x8c33d159, "");
SYMBOL_CRC(host1x_syncpt_request, 0x189c1ee6, "");
SYMBOL_CRC(host1x_syncpt_put, 0x81c0e976, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x3ff65ca1, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0xde21851b, "");
SYMBOL_CRC(host1x_syncpt_read, 0xf86bdf65, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x74ce0bd1, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0x5278689e, "");
SYMBOL_CRC(host1x_syncpt_get, 0x38cc3ab1, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0xf2ef3b95, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0xd51640e7, "");
SYMBOL_CRC(host1x_get_dma_mask, 0x4c3f942b, "");
SYMBOL_CRC(host1x_job_submit, 0x93a79231, "");
SYMBOL_CRC(host1x_channel_get, 0xa0d6d420, "");
SYMBOL_CRC(host1x_channel_stop, 0x5f4713cb, "");
SYMBOL_CRC(host1x_channel_put, 0x9e43e19c, "");
SYMBOL_CRC(host1x_channel_request, 0x770ea981, "");
SYMBOL_CRC(host1x_job_alloc, 0x2047b626, "");
SYMBOL_CRC(host1x_job_get, 0x90a1415f, "");
SYMBOL_CRC(host1x_job_put, 0x3607252e, "");
SYMBOL_CRC(host1x_job_add_gather, 0x3909d57f, "");
SYMBOL_CRC(host1x_job_add_wait, 0xaee7756d, "");
SYMBOL_CRC(host1x_job_pin, 0xc9e00694, "");
SYMBOL_CRC(host1x_job_unpin, 0x762c81e9, "");
SYMBOL_CRC(tegra_mipi_request, 0xc2f7be24, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x83ab1a93, "");
SYMBOL_CRC(host1x_fence_cancel, 0x6fcf367b, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x052b2b04, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0xd190e581, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0x1eb28a61, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48afc792, "iommu_map_sg" },
	{ 0xb7d67819, "platform_device_put" },
	{ 0x439f88a8, "dma_fence_signal_locked" },
	{ 0x2aa0ab74, "devm_platform_ioremap_resource" },
	{ 0x2e098e9a, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x2aaeaa33, "devm_request_threaded_irq" },
	{ 0xf2acb647, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x49d60ff2, "devm_platform_get_and_ioremap_resource" },
	{ 0xf29200d9, "dev_set_name" },
	{ 0x871e268c, "of_find_device_by_node" },
	{ 0x2a9a9696, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0xbd380229, "iommu_group_get" },
	{ 0x18b89939, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0x2b14d887, "free_iova" },
	{ 0xabf71dd6, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x887c3451, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1048ac33, "pm_generic_poweroff" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdb01a1d, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0xb4acd62b, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc08ce24b, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x646f9fcb, "devm_clk_get" },
	{ 0x333f902d, "dma_fence_wait_timeout" },
	{ 0x5065cd97, "__free_iova" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0xc17bd608, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x773ed782, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf8e36c5b, "iommu_detach_group" },
	{ 0xd0e6a70a, "of_get_next_child" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd5456ae5, "put_device" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0xc4862b8f, "pm_runtime_enable" },
	{ 0xee66dbf9, "alloc_iova" },
	{ 0x6d849ddb, "devm_tegra_core_dev_init_opp_table" },
	{ 0x135a8717, "platform_get_irq_byname_optional" },
	{ 0x86cf4ae8, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0x3e7a543b, "pm_generic_suspend" },
	{ 0x5c34106a, "iommu_get_domain_for_dev" },
	{ 0xc050b0bc, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x8b6a0a4c, "put_iova_domain" },
	{ 0xc1044b, "perf_trace_run_bpf_submit" },
	{ 0x5cf79479, "bus_unregister" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0xef00119, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x36951a49, "device_add" },
	{ 0x35969db9, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x846b4f59, "iommu_domain_alloc" },
	{ 0x60495999, "iommu_unmap" },
	{ 0xef3111fd, "dma_fence_signal" },
	{ 0x59997ad, "bpf_trace_run5" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x3e9dfaa3, "dma_alloc_attrs" },
	{ 0xb3c6e219, "debugfs_remove" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0xb89baab3, "of_property_count_elems_of_size" },
	{ 0xb5c5b458, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x31abb544, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x66427b2, "of_device_is_available" },
	{ 0x60cc22bb, "dma_fence_init" },
	{ 0xd791d63c, "mutex_lock_interruptible" },
	{ 0xabaafffc, "host1x_context_device_bus_type" },
	{ 0xf6602ed7, "bpf_trace_run1" },
	{ 0xd14bff66, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x118b98cd, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa411b552, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf6cba5eb, "debugfs_create_u32" },
	{ 0x351933ec, "devm_platform_ioremap_resource_byname" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x260cf51b, "dma_set_coherent_mask" },
	{ 0xed6a5feb, "bpf_trace_run3" },
	{ 0x17166e34, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3f7111bd, "debugfs_create_file" },
	{ 0x8a8a5fbb, "dma_free_attrs" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0x9d190105, "__pm_runtime_resume" },
	{ 0xafda4b33, "init_iova_domain" },
	{ 0xccba0d5, "__devm_reset_control_bulk_get" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc5393b25, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe1d9719e, "seq_write" },
	{ 0xebd5bbe8, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa2e8d02c, "iommu_map" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8aaf308a, "dma_set_mask" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x20b6f889, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x2290a458, "iommu_attach_group" },
	{ 0x17b8e167, "single_open" },
	{ 0x84eddb26, "of_device_get_match_data" },
	{ 0x6448c605, "pm_generic_restore" },
	{ 0x3b386d94, "__pm_runtime_disable" },
	{ 0x8f9dd9ec, "debugfs_create_dir" },
	{ 0xc78ba0a9, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3e2934b4, "platform_unregister_drivers" },
	{ 0x14d74931, "pm_runtime_force_suspend" },
	{ 0x474f47bd, "driver_register" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x3b92e299, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x6e01eee6, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x941d3970, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D99FB3E21874B3EEFDB2F4B");
MODULE_INFO(rhelversion, "9.5");
