#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xb6617285, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x2c220bbe, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xcdd85e9e, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xc6e0cd6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b800f79, "ether_setup" },
	{ 0x872cebd5, "__ethtool_get_link_ksettings" },
	{ 0x745db613, "ethtool_get_ts_info_by_layer" },
	{ 0x7236b989, "init_net" },
	{ 0xf9b5eac6, "generic_hwtstamp_set_lower" },
	{ 0x634fe4f9, "generic_hwtstamp_get_lower" },
	{ 0xd9a18e8, "dev_mc_del" },
	{ 0x689da94, "dev_uc_del" },
	{ 0x7e438a61, "dev_mc_add_excl" },
	{ 0x63b165c0, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa737d5c7, "vlan_vid_del" },
	{ 0x5efd9598, "vlan_vid_add" },
	{ 0x5fc38955, "dev_set_allmulti" },
	{ 0x3cc5c20, "dev_set_promiscuity" },
	{ 0x1d573c6c, "dev_uc_unsync" },
	{ 0x44ef12b9, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0xf5b044ee, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf2aaeeb9, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xb47f133c, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x22cad58f, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x6dc8abf8, "dev_uc_add" },
	{ 0x61d639cb, "dev_set_mac_address" },
	{ 0x5bff65ff, "call_netdevice_notifiers" },
	{ 0x3cdfa891, "netif_inherit_tso_max" },
	{ 0x90e1fa87, "netdev_update_features" },
	{ 0xda5de841, "netif_stacked_transfer_operstate" },
	{ 0x602e2e25, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7d73f78b, "unregister_netdevice_queue" },
	{ 0x375b1b8f, "netdev_upper_dev_unlink" },
	{ 0x67fac40, "dev_uc_sync" },
	{ 0xce62f18f, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6abad6ac, "skb_clone" },
	{ 0x73c9c70c, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xb07c362, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x23d13d, "consume_skb" },
	{ 0x61f8d5d7, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa56c6fc, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3ecd3833, "register_netdevice" },
	{ 0x4e6444f9, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdee16ff7, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d2f2d9e, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xcf50a8cc, "__netif_rx" },
	{ 0x16b5b189, "__dev_queue_xmit" },
	{ 0xa601d119, "dev_forward_skb" },
	{ 0xaf810ade, "ip_check_defrag" },
	{ 0x93f64cff, "passthru_features_check" },
	{ 0x6244243a, "eth_validate_addr" },
	{ 0xcefebd44, "ndo_dflt_fdb_dump" },
	{ 0x3c55b524, "eth_header_parse" },
	{ 0x97afde46, "eth_header_cache" },
	{ 0xad5f8a0e, "eth_header_cache_update" },
	{ 0x5e5ea36, "ethtool_op_get_link" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E9C474A79A89BDFD889463");
MODULE_INFO(rhelversion, "9.5");
