#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x3c339ccb, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xcec033f7, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x68db84a2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x60dd73c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2c8bf3ab, "__skb_checksum_complete" },
	{ 0x2d341548, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0xb796e602, "__nlmsg_put" },
	{ 0xbe86ac62, "netdev_adjacent_change_commit" },
	{ 0x331ac58b, "eth_mac_addr" },
	{ 0x3b6a5b6d, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x554cc557, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x65b85ba1, "ip6_dst_hoplimit" },
	{ 0x16f616ad, "param_ops_ushort" },
	{ 0x23d13d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xb0b09dd2, "udp_sock_create4" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x41821265, "udp_tunnel6_xmit_skb" },
	{ 0xf5b044ee, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x1e96da66, "__unregister_nexthop_notifier" },
	{ 0x3cdfa891, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6244243a, "eth_validate_addr" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcd7ea282, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb3e725c9, "rtnl_create_link" },
	{ 0x7d73f78b, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x569f5940, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x7b800f79, "ether_setup" },
	{ 0x7cc4f798, "udp_tunnel_drop_rx_port" },
	{ 0x4e6444f9, "netdev_upper_dev_link" },
	{ 0xa45fa2a6, "pskb_expand_head" },
	{ 0xaad0136a, "register_pernet_subsys" },
	{ 0x2d2f2d9e, "netdev_core_stats_alloc" },
	{ 0x62506974, "eth_type_trans" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xa42d961d, "__alloc_skb" },
	{ 0x628814ca, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x26580eee, "eth_gro_complete" },
	{ 0xbbf0d076, "rtnl_set_sk_err" },
	{ 0xb7b4dc72, "eth_gro_receive" },
	{ 0xba3681cd, "rtnl_configure_link" },
	{ 0x83017e03, "skb_tunnel_check_pmtu" },
	{ 0x3d8634d, "udp_tunnel_dst_lookup" },
	{ 0x843009c0, "rtnl_unicast" },
	{ 0x9ede8b7, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x89abfe6c, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa56c6fc, "__dev_get_by_index" },
	{ 0xf2aaeeb9, "rtnl_link_unregister" },
	{ 0xd48661f9, "__skb_get_hash" },
	{ 0xd604b2ac, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4eacaa65, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x53804f6b, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xccfa05c8, "dev_get_by_index_rcu" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x8408c9ee, "gro_cells_receive" },
	{ 0x85cacb5e, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x375b1b8f, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xee6d0b43, "free_netdev" },
	{ 0x68112a94, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb43a2417, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcb262db6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5e5ea36, "ethtool_op_get_link" },
	{ 0xba253d70, "nexthop_find_by_id" },
	{ 0x7de6a2b0, "arp_create" },
	{ 0x872cebd5, "__ethtool_get_link_ksettings" },
	{ 0x3cf15fc5, "netdev_adjacent_change_prepare" },
	{ 0x1f3fa0fb, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd05ad55e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x57738ff3, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x164deef9, "netdev_adjacent_change_abort" },
	{ 0xe7bf6550, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x41ed178b, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x39047148, "__iptunnel_pull_header" },
	{ 0xe2a26143, "__pskb_pull_tail" },
	{ 0xcbc9b568, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x73c9c70c, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x262c57f0, "rhashtable_destroy" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xd0942dfe, "setup_udp_tunnel_sock" },
	{ 0x124a4ea7, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbccd0f, "skb_trim" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x99a46c2c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x795935d8, "skb_scrub_packet" },
	{ 0xa8f647f, "nexthop_select_path" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd4b78cdf, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe88a9abd, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0x441c4ef4, "udp_tun_rx_dst" },
	{ 0xad9f1bc7, "rtnl_notify" },
	{ 0x6898cf5f, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcf50a8cc, "__netif_rx" },
	{ 0x6abad6ac, "skb_clone" },
	{ 0xad015df1, "metadata_dst_alloc" },
	{ 0x153527b6, "dst_release" },
	{ 0xfd571c1, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xcaade65d, "udp_tunnel_notify_del_rx_port" },
	{ 0xb958dd1, "register_nexthop_notifier" },
	{ 0xe6111072, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x1a104b41, "gro_find_receive_by_type" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x7e0b6d2f, "netdev_info" },
	{ 0x7ac0d6fb, "neigh_lookup" },
	{ 0x5b30939c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3ecd3833, "register_netdevice" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3C85ED4E082CBAE0993668C");
MODULE_INFO(rhelversion, "9.5");
