#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0xdcf331d4, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x05758218, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x4b3a048d, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x5a689174, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x8449aeeb, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0xb7bd32f6, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x25fad756, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x676dec08, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x6611b953, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x3ab961b7, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xb9c3a86a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x4a25b09c, "brcmu_pktq_mlen" },
	{ 0x338d9bf7, "cfg80211_sched_scan_results" },
	{ 0x3dbae4a4, "sdio_retune_hold_now" },
	{ 0x91bdd7af, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf4573653, "usb_alloc_urb" },
	{ 0xe9f67317, "sdio_disable_func" },
	{ 0xfb09087c, "cfg80211_mgmt_tx_status_ext" },
	{ 0xbad7c56d, "device_set_wakeup_enable" },
	{ 0x2c9378b8, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc1694c79, "sdio_set_block_size" },
	{ 0x42021b48, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4ee6acdc, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf2acb647, "devm_kmalloc" },
	{ 0xf8f47f39, "pci_enable_device" },
	{ 0x3b6a5b6d, "skb_put" },
	{ 0x147374a3, "brcmu_pkt_buf_free_skb" },
	{ 0xb55876b7, "of_property_read_variable_u32_array" },
	{ 0x67ff6129, "sdio_retune_crc_disable" },
	{ 0xab8209a5, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x86c86da3, "firmware_request_nowarn" },
	{ 0x20fbf685, "platform_driver_unregister" },
	{ 0x82dd4be1, "sdio_claim_host" },
	{ 0x922c596a, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x664a4142, "sdio_memcpy_fromio" },
	{ 0x23d13d, "consume_skb" },
	{ 0xf7f14dcb, "sdio_register_driver" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x48927f69, "unregister_netdev" },
	{ 0x91bf2682, "cfg80211_remain_on_channel_expired" },
	{ 0xb5bdd1be, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0xcda49e55, "cfg80211_register_netdevice" },
	{ 0xef8067e8, "dma_unmap_page_attrs" },
	{ 0xd4dfd67b, "request_firmware" },
	{ 0x5b550d44, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x992f4848, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xc855aa1c, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3df8db4, "add_wait_queue" },
	{ 0x1956b24a, "cfg80211_port_authorized" },
	{ 0x3267b387, "brcmu_pktq_init" },
	{ 0xf53b28a5, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0x97e575d0, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x3b55a0f2, "cfg80211_new_sta" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x9c920560, "cfg80211_disconnected" },
	{ 0x7b800f79, "ether_setup" },
	{ 0x2f6bee26, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x931baabb, "of_get_property" },
	{ 0xa45fa2a6, "pskb_expand_head" },
	{ 0x41c1dae0, "wake_up_process" },
	{ 0x4e4185, "dev_driver_string" },
	{ 0xe0ce1e46, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x62506974, "eth_type_trans" },
	{ 0xf7111e42, "pci_read_config_dword" },
	{ 0xec34d9b0, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc510f713, "alloc_netdev_mqs" },
	{ 0x33b8db73, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf9e239, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xca11d2af, "devm_kstrdup" },
	{ 0xc7bffdea, "cfg80211_classify8021d" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x5503eaa6, "sdio_release_irq" },
	{ 0x9b48b572, "cfg80211_crit_proto_stopped" },
	{ 0xe83f1a37, "wiphy_register" },
	{ 0x21f767c3, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd03ecf6, "cfg80211_put_bss" },
	{ 0x3f0ba15, "cfg80211_roamed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9c8eb1db, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xba4b603b, "_dev_info" },
	{ 0x95ec295, "of_get_mac_address" },
	{ 0xd11902eb, "skb_queue_tail" },
	{ 0x7115d795, "ieee80211_get_channel_khz" },
	{ 0x88dce71a, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf6a1c6a1, "sdio_set_host_pm_flags" },
	{ 0xa7ca1808, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2c1d2213, "sdio_unregister_driver" },
	{ 0x56270853, "sdio_readsb" },
	{ 0x248d6829, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x55efe380, "pci_enable_msi" },
	{ 0x7e4c3df5, "efi" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0x2eac8e6d, "device_wakeup_enable" },
	{ 0x34130fd3, "cfg80211_ibss_joined" },
	{ 0xf9099729, "request_firmware_nowait" },
	{ 0x4d75edc1, "simple_open" },
	{ 0x4eacaa65, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2a2dcaf, "irq_get_irq_data" },
	{ 0x4a31050b, "wiphy_apply_custom_regulatory" },
	{ 0xe103da30, "cfg80211_michael_mic_failure" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x85cacb5e, "skb_push" },
	{ 0x7dc0549b, "sdio_retune_crc_enable" },
	{ 0x2637b085, "brcmu_pktq_flush" },
	{ 0xb8cfae9e, "brcmu_pktq_peek_tail" },
	{ 0x3e9dfaa3, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x14e27b6c, "cfg80211_del_sta_sinfo" },
	{ 0x7413dfcb, "sdio_readl" },
	{ 0xb52d5e9e, "mmc_set_data_timeout" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x6df3c10f, "register_netdev" },
	{ 0x5140e904, "wiphy_unregister" },
	{ 0xee6d0b43, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x3ca695b3, "of_property_read_string" },
	{ 0x80fa1b83, "wiphy_read_of_freq_limits" },
	{ 0xb762d5e4, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb726e716, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9ea9ce6e, "eth_platform_get_mac_address" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x5ebfdcbb, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2b280b73, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x118b98cd, "_dev_warn" },
	{ 0x611979e9, "brcmu_pktq_pdeq_match" },
	{ 0x521c5c24, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbf161b6, "sdio_writel" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x8fe5c864, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xcac15003, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0xe2a26143, "__pskb_pull_tail" },
	{ 0x73c9c70c, "netif_rx" },
	{ 0x1a917bb3, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0x13cbd856, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbccd0f, "skb_trim" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0xce24c153, "skb_unlink" },
	{ 0xec5276f6, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb86569c0, "kthread_create_on_node" },
	{ 0x96e771b7, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9d9cf28, "pm_runtime_forbid" },
	{ 0x3f7111bd, "debugfs_create_file" },
	{ 0x838785e8, "brcmu_pktq_mdeq" },
	{ 0xd53b6c5e, "cfg80211_unregister_wdev" },
	{ 0xaa502e75, "pci_pme_capable" },
	{ 0xc5447fb0, "brcmu_pktq_penq" },
	{ 0x8a8a5fbb, "dma_free_attrs" },
	{ 0x23d64417, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x513e1e7, "__platform_driver_probe" },
	{ 0x753917b9, "of_device_is_compatible" },
	{ 0xf8176683, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x406531dd, "usb_autopm_get_interface" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xc05d1056, "brcmu_pktq_pdeq_tail" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x900e5a45, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x4e2fe73a, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0435408, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x5f439fc, "netif_carrier_on" },
	{ 0x3f0c1cf3, "brcmu_pkt_buf_get_skb" },
	{ 0x50921188, "mmc_hw_reset" },
	{ 0xfad5fa4b, "sdio_retune_release" },
	{ 0xebf7eb5c, "sdio_claim_irq" },
	{ 0x7ad7cc36, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1f1df8ba, "pci_disable_device" },
	{ 0xdfe95675, "pci_match_id" },
	{ 0xb8f3dfc, "sdio_enable_func" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xd524eb3e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xae7cf40e, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x59c030b4, "send_sig" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x91750ff4, "cfg80211_inform_bss_data" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0xc1eb0ccf, "irq_of_parse_and_map" },
	{ 0xa42898f8, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf6715d7e, "dev_kfree_skb_any_reason" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0xe83719c2, "of_find_node_opts_by_path" },
	{ 0x349cba85, "strchr" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x6a961343, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x703b9c94, "wiphy_free" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfafc5d9c, "of_property_read_string_helper" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x30573204, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb68f68a7, "pci_write_config_dword" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x72dfe702, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xef2dc3bc, "sdio_readb" },
	{ 0xb0162311, "sdio_writeb" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "615CC8399E59A3901F5AE40");
MODULE_INFO(rhelversion, "9.5");
