#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x9a38cb8f, "");
SYMBOL_CRC(ptp_clock_unregister, 0x3f92de32, "");
SYMBOL_CRC(ptp_clock_event, 0xcdac2e8e, "");
SYMBOL_CRC(ptp_clock_index, 0x4d542bf4, "");
SYMBOL_CRC(ptp_find_pin, 0x5e5126ef, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x921c01b4, "");
SYMBOL_CRC(ptp_schedule_worker, 0x39dd4a63, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0xd5fa7f3e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbb0ec8d0, "kthread_create_worker" },
	{ 0xba313740, "ida_destroy" },
	{ 0x54a2a900, "kthread_cancel_delayed_work_sync" },
	{ 0xf29200d9, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x680f7224, "pps_register_source" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0x80846ff6, "class_destroy" },
	{ 0x887c3451, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd4a40748, "device_for_each_child" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd5456ae5, "put_device" },
	{ 0x66b41aa3, "device_for_each_child_reverse" },
	{ 0xba4b603b, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6a713182, "kthread_mod_delayed_work" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3d0e3db4, "class_create" },
	{ 0x4bf6b2b8, "pps_event" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x85551ba9, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd791d63c, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0x557cd45b, "pps_unregister_source" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4fb1f5e8, "kthread_destroy_worker" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xcc1a71e8, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x72188876, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4cb27100, "ktime_get_snapshot" },
	{ 0xfd3aa747, "posix_clock_unregister" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "4A550173CA3701313FF1C2A");
MODULE_INFO(rhelversion, "9.5");
