#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qmp_send, "", "");
KSYMTAB_FUNC(qmp_get, "", "");
KSYMTAB_FUNC(qmp_put, "", "");

SYMBOL_CRC(qmp_send, 0x9e2aa1df, "");
SYMBOL_CRC(qmp_get, 0xddf7561a, "");
SYMBOL_CRC(qmp_put, 0x2333aed6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5e5a08a, "mbox_send_message" },
	{ 0xf30f1020, "mbox_client_txdone" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xd5456ae5, "put_device" },
	{ 0x76fd0523, "__platform_driver_register" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x20fbf685, "platform_driver_unregister" },
	{ 0x35969db9, "__of_parse_phandle_with_args" },
	{ 0x871e268c, "of_find_device_by_node" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x496caafa, "of_clk_del_provider" },
	{ 0x9f33bcee, "clk_hw_unregister" },
	{ 0x587ce201, "thermal_cooling_device_unregister" },
	{ 0x4630747b, "mbox_free_channel" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf2acb647, "devm_kmalloc" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x2aa0ab74, "devm_platform_ioremap_resource" },
	{ 0x261b164, "mbox_request_channel" },
	{ 0x2a9a9696, "platform_get_irq" },
	{ 0x2aaeaa33, "devm_request_threaded_irq" },
	{ 0x9aee3c48, "clk_hw_register" },
	{ 0x5a22f4f3, "of_clk_hw_simple_get" },
	{ 0xafbc6549, "of_clk_add_hw_provider" },
	{ 0x6e78f10a, "of_get_next_available_child" },
	{ 0xb762d5e4, "of_find_property" },
	{ 0x752e0300, "devm_thermal_of_cooling_device_register" },
	{ 0xba3d49c4, "devm_kfree" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-aoss-qmpC*");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmp");
MODULE_ALIAS("of:N*T*Cqcom,aoss-qmpC*");

MODULE_INFO(srcversion, "3357B0EE3B54D46A87E7CCB");
MODULE_INFO(rhelversion, "9.5");
