#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xa6d6ff2b, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xe52d7bbc, "");
SYMBOL_CRC(fscache_acquire_cache, 0xe84083f5, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x90bbc77f, "");
SYMBOL_CRC(fscache_add_cache, 0x1b9ff85f, "");
SYMBOL_CRC(fscache_io_error, 0x0fae8fcb, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x0f5b9c5f, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x36f7881a, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x43566419, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x7a9b58d4, "");
SYMBOL_CRC(fscache_caching_failed, 0xa343f8bc, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xdb45180a, "");
SYMBOL_CRC(__fscache_use_cookie, 0x2b306fc3, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x24cf6bb4, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x0dd240a9, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xc246f8d8, "");
SYMBOL_CRC(fscache_put_cookie, 0x0ccc3859, "");
SYMBOL_CRC(fscache_get_cookie, 0x6dc3bcb8, "");
SYMBOL_CRC(__fscache_invalidate, 0x033c35f9, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x6fd1f25b, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xceb6920a, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xefa62352, "");
SYMBOL_CRC(fscache_dirty_folio, 0x5b9ad48e, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x48a382c8, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x50b2301f, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x3b7df272, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x39674879, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6c5e41e7, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1a25cfa0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_end_volume_access, 0xd2aed2b2, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xe3e46a1b, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xfa940cd7, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xd79ce7b4, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x489e309a, "bpf_trace_run4" },
	{ 0x14c21b91, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0x335825a2, "xas_find" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d69a0d5, "netfs_stats_show" },
	{ 0xdb01a1d, "bpf_trace_run2" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7d74e8c3, "remove_proc_subtree" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0xa31f88d2, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0xa90e1ccc, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x7f468220, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc1044b, "perf_trace_run_bpf_submit" },
	{ 0xfcbcb733, "down_write" },
	{ 0x8f37910f, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x59997ad, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3da282cd, "kmem_cache_free" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf6602ed7, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x460b2f61, "proc_mkdir" },
	{ 0xfd14c8fc, "folio_end_private_2" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1699f936, "down_read" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xed6a5feb, "bpf_trace_run3" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x32b0092d, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0x7c10e7e7, "filemap_dirty_folio" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x43670125, "iov_iter_xarray" },
	{ 0x65362c5b, "proc_create_single_data" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd2be3a6d, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x41a946b1, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x7686fa5e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "282B119926D2BCCA6A36E45");
MODULE_INFO(rhelversion, "9.5");
