#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x21018d6b, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x9decc026, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x371182c0, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x2bff2132, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0xc93fa8b8, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xc50093dd, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x3effab51, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0xd4f44464, "_gpl");
SYMBOL_CRC(ip_set_test, 0x104f7240, "_gpl");
SYMBOL_CRC(ip_set_add, 0xa90f8319, "_gpl");
SYMBOL_CRC(ip_set_del, 0x24e80df0, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x72147e14, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0xc7f28caf, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x50d37601, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x2153ddcc, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xd6c6eaff, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x79961ee1, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x13f047dc, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0xb1161161, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cf8d04c, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x19ef4897, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0xb796e602, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77e0ee64, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x992dc640, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x295d7d91, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaad0136a, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb470593e, "nf_unregister_sockopt" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x875ffadd, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0xa42d961d, "__alloc_skb" },
	{ 0xcb09079a, "rt_write_unlock" },
	{ 0xdea367fa, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x18ea608a, "nfnetlink_unicast" },
	{ 0x5792f848, "strlcpy" },
	{ 0x5a921311, "strncmp" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x6e735c6b, "ns_capable" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd05ad55e, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xbb0ee9dd, "nfnetlink_subsys_unregister" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xcbccd0f, "skb_trim" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73510b1a, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xdd6f4b42, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf062f394, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "FD4CC20A29BAA28ACABB23F");
MODULE_INFO(rhelversion, "9.5");
