#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_gen_new_ie, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_free_coloc_ap_list, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_parse_colocated_ap, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x77113578, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x33b8db73, "");
SYMBOL_CRC(wiphy_register, 0xe83f1a37, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x18e9f056, "");
SYMBOL_CRC(wiphy_unregister, 0x5140e904, "");
SYMBOL_CRC(wiphy_free, 0x703b9c94, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xcc747c05, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xd53b6c5e, "");
SYMBOL_CRC(cfg80211_stop_iface, 0xe63f20ad, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0xcda49e55, "");
SYMBOL_CRC(wiphy_work_queue, 0x8277dd08, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x14989cae, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xe2e7ac02, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xdf4d81fe, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x6f4db788, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xb0518d29, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xa1639ceb, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x7115d795, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x4a4a7683, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x649a4e19, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xc2eb4409, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xa60f9b9f, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x69abb769, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xc7bffdea, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xd985f3c2, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x32be9c27, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x88dce71a, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xef789ee7, "");
SYMBOL_CRC(cfg80211_get_station, 0xcbca53c4, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x5987c961, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x8501f785, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xd629bda2, "");
SYMBOL_CRC(get_wiphy_regdom, 0xc4df58fe, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xfc8d34a2, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x4a31050b, "");
SYMBOL_CRC(regulatory_hint, 0x66115b21, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xcdc028bd, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xbfb909af, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xc9a09733, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_gen_new_ie, 0xd949fe38, "");
SYMBOL_CRC(cfg80211_free_coloc_ap_list, 0x6563568b, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_parse_colocated_ap, 0xe23bea70, "");
SYMBOL_CRC(cfg80211_scan_done, 0xab8209a5, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x338d9bf7, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xd32a2e61, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x922c596a, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x790e0c01, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x28acf441, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x91750ff4, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0xd32773c3, "");
SYMBOL_CRC(cfg80211_ref_bss, 0xaeb398a7, "");
SYMBOL_CRC(cfg80211_put_bss, 0x0d03ecf6, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xca18c0ff, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x68d8bde3, "");
SYMBOL_CRC(nl80211_send_chandef, 0xd1fa6e56, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x8ea7088a, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xec95718c, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xb8cb1a50, "");
SYMBOL_CRC(cfg80211_nan_match, 0xa0fccfca, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xf2e52a19, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x21f767c3, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x521c5c24, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x6cabcb9c, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x1dbff487, "");
SYMBOL_CRC(cfg80211_links_removed, 0xae05b72d, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xbf82d9f1, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xc8552e0a, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x00f9e239, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x91bf2682, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x8e734433, "");
SYMBOL_CRC(cfg80211_new_sta, 0x3b55a0f2, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x14e27b6c, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x2eaa3157, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x60d21f27, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x9e1fbe64, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x2ba72ebe, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xfb09087c, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xc47e11fc, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x30573204, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x7fe15d7a, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xcb7544c1, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0xf513f568, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x0b107fc4, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x1a0660cd, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xd4824a98, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x349fa57e, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xdf19bde2, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x96a79416, "");
SYMBOL_CRC(cfg80211_probe_status, 0xbaaded86, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x479f8114, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x7ad7cc36, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x72e782d2, "");
SYMBOL_CRC(cfg80211_ft_event, 0xb95d42aa, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x9b48b572, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x43d362a9, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x506061f3, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x6130f100, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x0d30bc96, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xfabbca44, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x15cbd6d2, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x1ac17795, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xf92817b5, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xe103da30, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xf8176683, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xe524ffaa, "");
SYMBOL_CRC(cfg80211_cac_event, 0x393cc96d, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x74d63a55, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x34130fd3, "");
SYMBOL_CRC(cfg80211_connect_done, 0x6a961343, "");
SYMBOL_CRC(cfg80211_roamed, 0x03f0ba15, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x1956b24a, "");
SYMBOL_CRC(cfg80211_disconnected, 0x9c920560, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x7167db55, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x4f91c5c0, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0xdefc5dd0, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xeab8af8d, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0x3d210b38, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x4d05091e, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xb14df468, "");
SYMBOL_CRC(wdev_chandef, 0xaa5cc627, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0xd7a8fd63, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xf55b9690, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xed410f7d, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x80fa1b83, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xcfb2b89b, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xca9834ef, "verify_pkcs7_signature" },
	{ 0x489e309a, "bpf_trace_run4" },
	{ 0xadc6c1d9, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x3b6a5b6d, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xf29200d9, "dev_set_name" },
	{ 0x23d13d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x26cac303, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f1ad1b0, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x5b702f4f, "bpf_trace_run6" },
	{ 0x7a7d1b34, "rt_mutex_base_init" },
	{ 0x7d84b4fb, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd4dfd67b, "request_firmware" },
	{ 0xd5345847, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x887c3451, "device_initialize" },
	{ 0x2d5dafb3, "skb_add_rx_frag" },
	{ 0x4133e3d9, "genlmsg_put" },
	{ 0x91b86e98, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xdb01a1d, "bpf_trace_run2" },
	{ 0xc87e8b2e, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x77c9d728, "genlmsg_multicast_allns" },
	{ 0x9ee8025d, "event_triggers_call" },
	{ 0x5aea51f5, "__wake_up" },
	{ 0x7d73f78b, "unregister_netdevice_queue" },
	{ 0xe8e7ea35, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x26606aff, "netlink_broadcast_filtered" },
	{ 0xb4163b8a, "keyring_alloc" },
	{ 0x95712a17, "netdev_err" },
	{ 0x838ed98c, "device_rename" },
	{ 0xdb41063, "trace_event_buffer_commit" },
	{ 0x62506974, "eth_type_trans" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd5456ae5, "put_device" },
	{ 0x8549f0fc, "trace_event_ignore_this_pid" },
	{ 0x5a6b1625, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xa42d961d, "__alloc_skb" },
	{ 0x3a85373c, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x86f8a81f, "inet_csk_get_port" },
	{ 0xbf53f695, "key_put" },
	{ 0x326d52dd, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa56c6fc, "__dev_get_by_index" },
	{ 0xc1044b, "perf_trace_run_bpf_submit" },
	{ 0xe0eaca09, "_dev_err" },
	{ 0x7236b989, "init_net" },
	{ 0xf9099729, "request_firmware_nowait" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x4eacaa65, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x36951a49, "device_add" },
	{ 0x1b488fee, "sysfs_remove_link" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9437e17f, "init_uts_ns" },
	{ 0x921745b0, "platform_device_unregister" },
	{ 0x3838429f, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x97d0f5c1, "dev_get_by_index" },
	{ 0x59997ad, "bpf_trace_run5" },
	{ 0xdde23f6a, "kfree_skb_reason" },
	{ 0xbc795fd5, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x51bc7f62, "mutex_lock" },
	{ 0x85cacb5e, "skb_push" },
	{ 0xb3c6e219, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5b54b8d4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xb762d5e4, "of_find_property" },
	{ 0xc60785c, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x60c5ae72, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3874ae, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf6602ed7, "bpf_trace_run1" },
	{ 0xd14bff66, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x60ca570a, "param_ops_charp" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf8666377, "__init_waitqueue_head" },
	{ 0xe2a26143, "__pskb_pull_tail" },
	{ 0x73c9c70c, "netif_rx" },
	{ 0x1a917bb3, "__netdev_alloc_skb" },
	{ 0xd6fc3dc8, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbccd0f, "skb_trim" },
	{ 0x6ffff104, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8ed10dd, "of_prop_next_u32" },
	{ 0xed6a5feb, "bpf_trace_run3" },
	{ 0xdde9d03e, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x88f0b975, "get_net_ns_by_pid" },
	{ 0x67e11581, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x707016e5, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6f12bfc6, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x2082fb7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60b0fdb1, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0xc0a99fd1, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xd79990e9, "genl_unregister_family" },
	{ 0x5b2c08b3, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaeb0b36a, "bpf_trace_run7" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xf863f8e, "param_ops_int" },
	{ 0x8f9dd9ec, "debugfs_create_dir" },
	{ 0x71beafe2, "genl_register_family" },
	{ 0x6053326e, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1a4f6846, "register_pernet_device" },
	{ 0xeee6545b, "__mutex_rt_init" },
	{ 0x389bf1ef, "get_net_ns_by_fd" },
	{ 0xbe572f67, "class_register" },
	{ 0xd5a29ef8, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70164798, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3ecd3833, "register_netdevice" },
	{ 0x6c50c774, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "2C21A89E9BC52720BA54B34");
MODULE_INFO(rhelversion, "9.5");
